Subject: [Isis-wg] Re: index of isisISAdjEntry

From: Noguchi Kay <[email-masked]>
Date: Mon, 26 Aug 2002 18:11:11 -0700

Hi Jeff,

At Mon, 26 Aug 2002 20:19:50 -0400,
Jeff Parker wrote:
> 
> >     isisISAdjLevelIndex OBJECT-TYPE
> > 
> > > I think this is taken from a prior version.  
> 
> Again, this -is- from a prior version.  

	Oh, then that's in the prior to the -08 version.
	I'm new so I don't have drafts prior to the -08. :p

	Sorry for the duplicate discussion but this is needed for
	our implementation, and also yours.

> > But based on the current -09 draft,
> > 	we have a problem to express the adjacent neighbor in the
> > 	isisAdj*Entry.
> > 
> > 	Here is the current -09 version's isisAdjEntry which 
> > doesn't have level information in the index.
> > 
> >     isisISAdjEntry OBJECT-TYPE
> >         SYNTAX IsisISAdjEntry
> >         MAX-ACCESS not-accessible
> >         STATUS current
> >         DESCRIPTION
> >             "Each entry corresponds to one adjacency to an
> >              Intermediate System on this system."
> >         INDEX { isisSysInstance,
> >                 isisCircIndex,
> >                 isisISAdjIndex }
> >     ::= { isisISAdjTable 1 }
> > 
> > 
> > 								kay
> 
> I can well believe that we have a problem.  But can you
> tell me what the problem is?  What are you trying to
> do that you cannot do?  

	Okay, I can show you one example. 

	You have two IS L1/L2 routers(IS1, IS2) on the LAN and those two
	are L1L2 adjacent.

	We can assign isisISAdjIndex one for L1 adjacency and two for
	L2 adjacency and vice versa because there is no information for
	level in the isisAdjEntry indexes.

	Then if IS2's priority is set differently for L1 and L2, say
	63 and 64, then how do you know which one is for which level?

	You can get

titanium$ snmpget localhost hoge .1.3.6.1.3.37.1.5.1.1.8.1.1.1
37.1.5.1.1.8.1.1.1 = 63
titanium$ snmpget localhost hoge .1.3.6.1.3.37.1.5.1.1.8.1.1.2
37.1.5.1.1.8.1.1.2 = 64

	or 

titanium$ snmpget localhost hoge .1.3.6.1.3.37.1.5.1.1.8.1.1.1
37.1.5.1.1.8.1.1.1 = 64
titanium$ snmpget localhost hoge .1.3.6.1.3.37.1.5.1.1.8.1.1.2
37.1.5.1.1.8.1.1.2 = 63

	And there is no entry for the level information in the isisISAdjEntry
	ieself.

	isisISAdjNeighSysType and isisISAdjNeighUsage just returns "3",
	l1L2IntermediateSystem for isisISAdjNeighSysType and level1and2 for
	isisISAdjNeighUsage, in this case.

Thank you,

								kay

> This table treats a L1/L2 neighbor as two adjacencies
> (matching the spec) and a p2p neighbor as one.  As
> a result, we duplicate some information about SysId
> and SNPA.  
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg